Subject: [Teas] AD review: draft-ietf-teas-network-assigned-upstream-label

From: "BRUNGARD, DEBORAH A" <[email-masked]>
Date: Tue, 22 Aug 2017 22:27:06 +0000

Hi,

I've reviewed this draft and after discussing with your Chairs a bit on it, I have the following comments:

- I think you need to create an IANA registry for this label if you want to ensure it does not get used in an implementation. For example, MPLS has registries for "special purpose label values". While this is only one value, I suggest a similar top-level registry, with an entry for this draft.

- the draft refers to an implementation survey as justifying there are no backward compatibility concerns with the choice of this label. But there was no implementation survey. I think today's RFC3473 procedures will have an upstream node rejecting this label if returned to it and no data traffic will be transmitted. So this should prevent any harm. I recommend being more concise in the backward compatibility section on the processing.

- Currently the draft updates RFC3473. I think it also updates RFC3471 and RFC6205 (especially as the example in the draft is WSON and this draft requires a modification of RFC6205 procedures). And you need to clearly identify what it is that you are updating in this document vs. the previous documents.

- The draft is a bit too short:-) You need to have proper sections on Procedures and Label Format. The current Processing section is not sufficient. There's more in the use case, than in the Processing section.

- Considering the changes for the above, I recommend for your Chairs to have a short (1 week) WG Last Call on the updated draft. If can do SOON (Adrian's definition:-)), I'll leave it as "AD Evaluation", if drags out, I'll send it back to the WG.

Thanks,
Deborah